%global momorel 1

Summary: A library and tools to work with the PDF file format
Name: podofo 
Version: 0.9.5
Release: %{momorel}m%{?dist}
License: LGPLv2+ and GPLv2+
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-0.9.4-freetype.patch
Patch1: %{name}-0.9.4_build.patch
Patch2: %{name}-%{version}_stdc++98.patch
URL: http://podofo.sourceforge.net/
BuildRequires: cmake 
BuildRequires: libjpeg-devel >= 8a 
BuildRequires: libtiff-devel >= 4.0.1
BuildRequires: freetype-devel 
BuildRequires: fontconfig-devel 
BuildRequires: zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The PoDoFo library is a free, portable C++ library which includes
classes to parse PDF files and modify their contents into memory. The
changes can be written back to disk easily. The parser can also be
used to extract information from a PDF file (for example the parser
could be used in a PDF viewer). Besides parsing PoDoFo includes also
very simple classes to create your own PDF files. All classes are
documented so it is easy to start writing your own application using
PoDoFo.

The PoDoFo tools are simple tools build around the PoDoFo
library. These tools are first of all examples on how to use the
PoDoFo library in your own projects. But secondly they offer also
features for working with PDF files. More tools will come with future
release and the existing tools will gain more features.  Currently
there are the following tools:

 * podofoimgextract extracts all jpeg images from a given PDF file
 * podofouncompress removes all compression filters from a PDF file, this is useful for debugging existing PDF files
 * podofopdfinfo provides some basic info about a PDF - metadata, page details, etc.
 * podofotxt2pdf converts a text file to a PDF

%package libs
Summary:        Runtime library for %{name}
Group:          System Environment/Libraries
License:        LGPLv2+

%description libs
Runtime library for %{name}.

%package devel
Summary:        Development files for %{name} library
Group:          Development/Libraries
License:        LGPLv2+
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development files and documentation for the %{name} library.

%prep
%setup -q

%patch0 -p1 -b .freetype
%patch1 -p1 -b .fix-build
%patch2 -p1 -b .stdc++98

%build
cmake \
    -G "Unix Makefiles" \
    -DPODOFO_USE_VISIBILITY=1 \
    -DCMAKE_BUILD_TYPE=RELEASE \
    -DPODOFO_BUILD_SHARED:BOOL=TRUE \
    -DPODOFO_BUILD_STATIC:BOOL=FALSE \
%ifarch x86_64
    -DWANT_LIB64:BOOL=TRUE \
%endif
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DFREETYPE_INCLUDE_DIR_FT2BUILD=%{_includedir}/freetype2 \
    -DFREETYPE_INCLUDE_DIR_FTHEADER=%{_includedir}/freetype2 .
make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# remove libtool la
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}*
%{_mandir}/man1/*

%files libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB ChangeLog FAQ.html NEWS README* TODO
%doc doc examples
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/lib%{name}-0.pc
%{_libdir}/lib*.so

%changelog
* Sun May 14 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.5-1m)
- version 0.9.5
- import patches from fedora

* Mon Aug 24 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3-1m)
- update 0.9.3

* Wed Dec  3 2014 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-3m)
- fix build

* Fri Jul 05 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.1-2m)
- add patch for gcc48, generated by gen48patch

* Sun Apr  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.1-1m)
- update to 0.9.1
- rebuild against libtiff-4.0.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.0-9m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.0-8m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.0-7m)
- full rebuild for mo7 release

* Sun Jul 25 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.0-6m)
- split libs subpackage

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.0-5m)
- rebuild against libjpeg-8a

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.0-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Sep 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.0-3m)
- rebuild against libjpeg-7

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.0-2m)
- rebuild against rpm-4.6

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.0-1m)
- update to 0.7.0
- License: LGPLv2+ and GPLv2+

* Wed Apr 16 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5.99-0.20080416.1m)
- use svn-trunk version (0.5.99, rev795) to set "-DWANT_LIB64:BOOL=TRUE"

* Tue Apr 15 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5.0-1m)
- import to Momonga
- add patch for gcc43, generated by gen43patch(v1)
